Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface RegistryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  RegistryTypeImpl

    public interface RegistryType

extends RegistryObjectType

A representation of the model object 'Registry Type'. Mapping of the same named interface in ebRIM.

The following features are supported:

- `Cataloging Latency`
- `Conformance Profile`
- `Operator`
- `Replication Sync Latency`
- `Specification Version`

See Also:
  `RimPackage.getRegistryType()`

Method Summary
`java.lang.Object` | `getCatalogingLatency()` Returns the value of the 'Cataloging Latency' attribute.
`ConformanceProfileType` | `getConformanceProfile()` Returns the value of the 'Conformance Profile' attribute.
`java.lang.String` | `getOperator()` Returns the value of the 'Operator' attribute.
`java.lang.Object` | `getReplicationSyncLatency()` Returns the value of the 'Replication Sync Latency' attribute.
`java.lang.String` | `getSpecificationVersion()` Returns the value of the 'Specification Version' attribute.
`boolean` | `isSetCatalogingLatency()` Returns whether the value of the '`Cataloging Latency`' attribute is set.
`boolean` | `isSetConformanceProfile()` Returns whether the value of the '`Conformance Profile`' attribute is set.
`boolean` | `isSetReplicationSyncLatency()` Returns whether the value of the '`Replication Sync Latency`' attribute is set.
`void` | `setCatalogingLatency(java.lang.Object value)` Sets the value of the '`Cataloging Latency`' attribute.
`void` | `setConformanceProfile(ConformanceProfileType value)` Sets the value of the '`Conformance Profile`' attribute.
`void` | `setOperator(java.lang.String value)` Sets the value of the '`Operator`' attribute.
`void` | `setReplicationSyncLatency(java.lang.Object value)` Sets the value of the '`Replication Sync Latency`' attribute.
`void` | `setSpecificationVersion(java.lang.String value)` Sets the value of the '`Specification Version`' attribute.
`void` | `unsetCatalogingLatency()` Unsets the value of the '`Cataloging Latency`' attribute.
`void` | `unsetConformanceProfile()` Unsets the value of the '`Conformance Profile`' attribute.
`void` | `unsetReplicationSyncLatency()` Unsets the value of the '`Replication Sync Latency`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCatalogingLatency

    java.lang.Object getCatalogingLatency()

  Returns the value of the 'Cataloging Latency' attribute. The default value is `"P1D"`.

  If the meaning of the 'Cataloging Latency' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cataloging Latency' attribute.
  See Also:
    `isSetCatalogingLatency()`, `unsetCatalogingLatency()`, `setCatalogingLatency(Object)`, `RimPackage.getRegistryType_CatalogingLatency()`

### setCatalogingLatency

    void setCatalogingLatency(java.lang.Object value)

  Sets the value of the '`Cataloging Latency`' attribute.

  Parameters:
    `value` - the new value of the 'Cataloging Latency' attribute.
  See Also:
    `isSetCatalogingLatency()`, `unsetCatalogingLatency()`, `getCatalogingLatency()`

### unsetCatalogingLatency

    void unsetCatalogingLatency()

  Unsets the value of the '`Cataloging Latency`' attribute.

  See Also:
    `isSetCatalogingLatency()`, `getCatalogingLatency()`, `setCatalogingLatency(Object)`

### isSetCatalogingLatency

    boolean isSetCatalogingLatency()

  Returns whether the value of the '`Cataloging Latency`' attribute is set.

  Returns:
    whether the value of the 'Cataloging Latency' attribute is set.
  See Also:
    `unsetCatalogingLatency()`, `getCatalogingLatency()`, `setCatalogingLatency(Object)`

### getConformanceProfile

    ConformanceProfileType getConformanceProfile()

  Returns the value of the 'Conformance Profile' attribute. The default value is `"registryLite"`. The literals are from the enumeration `ConformanceProfileType`.

  If the meaning of the 'Conformance Profile' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Conformance Profile' attribute.
  See Also:
    `ConformanceProfileType`, `isSetConformanceProfile()`, `unsetConformanceProfile()`, `setConformanceProfile(ConformanceProfileType)`, `RimPackage.getRegistryType_ConformanceProfile()`

### setConformanceProfile

    void setConformanceProfile(ConformanceProfileType value)

  Sets the value of the '`Conformance Profile`' attribute.

  Parameters:
    `value` - the new value of the 'Conformance Profile' attribute.
  See Also:
    `ConformanceProfileType`, `isSetConformanceProfile()`, `unsetConformanceProfile()`, `getConformanceProfile()`

### unsetConformanceProfile

    void unsetConformanceProfile()

  Unsets the value of the '`Conformance Profile`' attribute.

  See Also:
    `isSetConformanceProfile()`, `getConformanceProfile()`, `setConformanceProfile(ConformanceProfileType)`

### isSetConformanceProfile

    boolean isSetConformanceProfile()

  Returns whether the value of the '`Conformance Profile`' attribute is set.

  Returns:
    whether the value of the 'Conformance Profile' attribute is set.
  See Also:
    `unsetConformanceProfile()`, `getConformanceProfile()`, `setConformanceProfile(ConformanceProfileType)`

### getOperator

    java.lang.String getOperator()

  Returns the value of the 'Operator' attribute.

  If the meaning of the 'Operator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operator' attribute.
  See Also:
    `setOperator(String)`, `RimPackage.getRegistryType_Operator()`

### setOperator

    void setOperator(java.lang.String value)

  Sets the value of the '`Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Operator' attribute.
  See Also:
    `getOperator()`

### getReplicationSyncLatency

    java.lang.Object getReplicationSyncLatency()

  Returns the value of the 'Replication Sync Latency' attribute. The default value is `"P1D"`.

  If the meaning of the 'Replication Sync Latency' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Replication Sync Latency' attribute.
  See Also:
    `isSetReplicationSyncLatency()`, `unsetReplicationSyncLatency()`, `setReplicationSyncLatency(Object)`, `RimPackage.getRegistryType_ReplicationSyncLatency()`

### setReplicationSyncLatency

    void setReplicationSyncLatency(java.lang.Object value)

  Sets the value of the '`Replication Sync Latency`' attribute.

  Parameters:
    `value` - the new value of the 'Replication Sync Latency' attribute.
  See Also:
    `isSetReplicationSyncLatency()`, `unsetReplicationSyncLatency()`, `getReplicationSyncLatency()`

### unsetReplicationSyncLatency

    void unsetReplicationSyncLatency()

  Unsets the value of the '`Replication Sync Latency`' attribute.

  See Also:
    `isSetReplicationSyncLatency()`, `getReplicationSyncLatency()`, `setReplicationSyncLatency(Object)`

### isSetReplicationSyncLatency

    boolean isSetReplicationSyncLatency()

  Returns whether the value of the '`Replication Sync Latency`' attribute is set.

  Returns:
    whether the value of the 'Replication Sync Latency' attribute is set.
  See Also:
    `unsetReplicationSyncLatency()`, `getReplicationSyncLatency()`, `setReplicationSyncLatency(Object)`

### getSpecificationVersion

    java.lang.String getSpecificationVersion()

  Returns the value of the 'Specification Version' attribute.

  If the meaning of the 'Specification Version' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Version' attribute.
  See Also:
    `setSpecificationVersion(String)`, `RimPackage.getRegistryType_SpecificationVersion()`

### setSpecificationVersion

    void setSpecificationVersion(java.lang.String value)

  Sets the value of the '`Specification Version`' attribute.

  Parameters:
    `value` - the new value of the 'Specification Version' attribute.
  See Also:
    `getSpecificationVersion()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD